#!/bin/sh -efu

. install2-init-functions

[ -z "$AUTOINSTALL" ] || exit 0

#simplify login to all cluster nodes
skeldir="$destdir/etc/skel"
sshdir="$skeldir/.ssh"
ssh_conf="$sshdir/config"
profile_conf="$skeldir/.bash_profile"

mkdir -p "$sshdir"

if egrep -qs '^[[:space:]]*StrictHostKeyChecking[[:space:]]' "$ssh_conf";then
    sed -r 's,^[[:space:]]*StrictHostKeyChecking[[:space:]].*,StrictHostKeyChecking no,' -i "$ssh_conf"
else
    echo 'StrictHostKeyChecking no' >>"$ssh_conf"
fi

